This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 186264 - Review Request: bcm43xx-fwcutter
Review Request: bcm43xx-fwcutter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-22 11:45 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 16:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-03-22 11:45:20 EST
Spec Name or Url: http://david.woodhou.se/bcm43xx-fwcutter.spec
SRPM Name or Url: http://david.woodhou.se/bcm43xx-fwcutter-003-1.src.rpm
Description: This package contains the 'bcm43xx-fwcutter' tool which is used to
extract firmware for the Broadcom network devices, from the official
Windows, MacOS or Linux drivers.

See the README.Fedora file shipped in the package's documentation for
instructions on using this tool.
Comment 1 Frank Arnold 2006-03-22 13:39:13 EST
/usr/bin => %{_bindir}
Comment 2 Ville Skyttä 2006-03-22 14:29:57 EST
- $RPM_OPT_FLAGS not honored, fixed eg. by this in %prep:  
  sed -i -e 's/-O2/$(RPM_OPT_FLAGS)/' Makefile  
- man page not installed  
- unusual Group tag, suggesting "System Environment/Base" or another suitable 
  one from /usr/share/doc/rpm-*/GROUPS 
- bogus version in changelog entry  
- last sentence in README.Fedora ends a bit abruptly, should it have included 
  some info about where to report success or failure? 
Comment 3 David Woodhouse 2006-03-22 17:45:27 EST
Thanks for the feedback. Updated spec file and RPM at the same places. 

Yes, I meant to go create a bug in bugzilla and finish the last sentence in
README.Fedora. Bug #186329.
Comment 4 David Woodhouse 2006-03-22 19:32:44 EST
I also added /etc/modprobe.d/bcm43xx.conf to make automatic loading of the
module work.
Comment 5 Ville Skyttä 2006-03-23 14:39:47 EST
IMO this package is a wrong place to have the modprobe.d snippet in.  Once 
firmwares have been extracted, this package can be removed as it's no longer 
needed, and that resulting in blowing away the config snippet is very much 
unexpected.  How about just dropping it and documenting bcm43xx related stuff 
for FC5 in the Wiki? 
 
Please bump the release number and add %chnagelog entries every time changes 
are made, even during package review.  
Comment 6 David Woodhouse 2006-03-23 17:56:56 EST
I've changed the modprobe.d snippet to just a %doc file, and referred to it in
the README.Fedora file. OK?
Comment 7 Ville Skyttä 2006-03-24 02:28:24 EST
Yep, approved.  
Comment 8 Ville Skyttä 2006-03-30 16:36:00 EST
I see this is already available in devel, but not in FC-5.  The FC-5 branch
exists   in CVS though, so could you push a build for it and close this when
done?  By the way, 004 is out.
Comment 9 David Woodhouse 2006-03-31 01:08:12 EST
I tried yesterday but the build failed due to infrastructure breakage. Will try
again...
Comment 10 Ville Skyttä 2006-04-03 16:40:06 EDT
Looks better now, thanks.
Comment 11 Christian Iseli 2006-04-08 16:43:54 EDT
Please add the package in owners.list

Note You need to log in before you can comment on or make changes to this bug.